### Constructor

# Gio TcpWrapperConnection new

since: 2.28

#### Declaration

    GSocketConnection*
    g_tcp_wrapper_connection_new (
      GIOStream* base_io_stream,
      GSocket* socket
    )

#### Description

Wraps `base_io_stream` and `socket` together as a `GSocketConnection`.

Available since: 2.28

#### Parameters

`base_io_stream`

  Type: `GIOStream`

  The `GIOStream` to wrap.

  The data is owned by the caller of the function.

`socket`

  Type: `GSocket`

  The `GSocket` associated with `base_io_stream`.

  The data is owned by the caller of the function.

#### Return value

Type: `GSocketConnection`

The new `GSocketConnection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.